Skip to main content

Update a renewal status

Update a lease's renewal status for a given renter and unit

PUT
/api/partners/v1/community/:community_id/renters/:funnel_renter_id/units/:funnel_unit_id/renewal-status/

Request

Example requestPUTapplication/json
curl -X PUT \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "renewal_card_status": false,
      "renewal_body": "string",
      "renewal_alert_status": false,
      "renewal_alert_body": "string",
      "renewal_alert_type": "string",
      "renewal_allow_clickthrough": false,
      "renewal_header": "string",
      "renewal_subheader": "string",
      "renewal_icon": "RENEWAL, AUTOPAY, etc. for all icons see https://docs.google.com/document/d/1rY4lMiGGa1IxT_IAzrCBXSpifZ9Fz2LCKAJ2TeLHOR8"
    }' \
    "https://api.funnelleasing.com/api/partners/v1/community/1234/renters/:funnel_renter_id/units/:funnel_unit_id/renewal-status/"

Response

Example responseJSON200 · application/json
{
  "renewal_status_id": 7
}